;
;    Fork by Alan
;        v1.3
;
;To start typed /fork
;
dialog Fork {
  title "How much a plastic fork weighs on different planets."
  size -1 -1 310 244
  option dbu
  text "", 1, 50 5 75 10
  text "", 2, 50 20 75 10
  text "", 3, 50 35 75 10
  text "", 4, 50 50 75 10
  text "", 5, 50 65 75 10
  text "", 6, 50 80 75 10
  text "", 7, 50 95 75 10
  text "", 8, 50 110 75 10
  text "", 9, 50 125 75 10
  text "", 10, 50 140 75 10
  text "", 11, 50 155 75 10
  text "", 12, 50 170 75 10
  text "", 13, 50 185 75 10
  text "", 14, 50 200 75 10
  text "", 15, 50 215 75 10
  text "", 16, 50 230 75 10
  text "Mercury", 17, 5 5 40 10
  text "Venus", 18, 5 20 40 10
  text "Moon", 19, 5 35 40 10
  text "Mars", 20, 5 50 40 10
  text "Jupiter", 21, 5 65 40 10
  text "Saturn", 22, 5 80 40 10
  text "Uranus", 23, 5 95 40 10
  text "Neptune", 24, 5 110 40 10
  text "Pluto", 25, 5 125 40 10
  text "Io", 26, 5 140 40 10
  text "Europa", 27, 5 155 40 10
  text "Ganymede", 28, 5 170 40 10
  text "Callisto", 29, 5 185 40 10
  text "The Sun", 30, 5 200 40 10
  text "A White Dwarf", 31, 5 215 40 10
  text "A Neutron Star", 32, 5 230 40 10
  icon 33, 130 6 40 40, $scriptdirfork\mercury.bmp, 0
  icon 34, 175 6 40 40, $scriptdirfork\venus.bmp, 0
  icon 35, 220 6 40 40, $scriptdirfork\moon.bmp, 0
  icon 36, 264 6 40 40, $scriptdirfork\mars.bmp, 0
  text "Mercury                  Venus                       Moon                    Mars", 37, 138 52 170 8
  icon 38, 130 66 40 40, $scriptdirfork\jupiter.bmp, 0
  icon 39, 265 66 40 40, $scriptdirfork\neptune.bmp, 0
  icon 40, 175 66 40 40, $scriptdirfork\saturn.bmp, 0
  icon 41, 220 66 40 40, $scriptdirfork\uranus.bmp, 0
  text "Jupiter                      Saturn                    Uranus                 Neptune", 42, 138 112 170 8
  icon 43, 265 126 40 40, $scriptdirfork\ganymede.bmp, 0
  icon 44, 175 126 40 40, $scriptdirfork\io.bmp, 0
  icon 45, 220 126 40 40, $scriptdirfork\europa.bmp, 0
  icon 46, 130 126 40 40, $scriptdirfork\pluto.bmp, 0
  text "Pluto                            Io                       Europa                Ganymede", 47, 138 172 170 8
  icon 48, 175 186 40 40, $scriptdirfork\sun.bmp, 0
  icon 49, 220 186 40 40, $scriptdirfork\dwarf.bmp, 0
  icon 50, 265 186 40 40, $scriptdirfork\neutron.bmp, 0
  icon 51, 130 186 40 40, $scriptdirfork\callisto.bmp, 0
  text "Callisto                    The Sun            A White Dwarf      A Neutron Star", 52, 138 231 170 8
}
alias fork {
  if (!$dialog(fork)) dialog -m fork fork
}
alias -l forkcalc {
  if ($1 isnum 1-16) {
    did -r fork $1
    var %i = 1
    while (%i <= $len($2)) {
      var %j = 0
      while (%j <= 9) {
        did -ra fork $1 $iif(%j == 0,$did(fork,$1).text,$iif($len($did(fork,$1).text) == 1,,$left($did(fork,$1).text,$calc($ifmatch - 1)))) $+ %j
        if (%j == $mid($2,%i,1)) goto fork 
        inc %j
        if (%j == 10) did -ra fork $1 $iif($len($did(fork,$1).text) == 1,,$left($did(fork,$1).text,$calc($ifmatch) - 1))) $+ $chr(46)
      }
      :fork
      inc %i
    }
    dialog -v fork fork
  }
}
on *:dialog:fork:init,sclick:*:{
  var %i = $$input(How much does your fork weigh? $crlf $+ (Note: You can enter the weight in any unit you wish),eo,How much does your fork weigh?)
  forkcalc 1 $calc(%i * .378)
  forkcalc 2 $calc(%i * .907)
  forkcalc 3 $calc(%i * .166)
  forkcalc 4 $calc(%i * .377)
  forkcalc 5 $calc(%i * 2.364)
  forkcalc 6 $calc(%i * .916)
  forkcalc 7 $calc(%i * .889)
  forkcalc 8 $calc(%i * 1.125)
  forkcalc 9 $calc(%i * .067)
  forkcalc 10 $calc(%i * .1264)
  forkcalc 11 $calc(%i * .13358)
  forkcalc 12 $calc(%i * .1448)
  forkcalc 13 $calc(%i * .18355)
  forkcalc 14 $calc(%i * 27.072)
  forkcalc 15 $calc(%i * 1300000)
  forkcalc 16 $calc(%i * 140000000000)
}
on *:load:{
  if ($version < 6.03) {
    echo $color(info) -a You need to update your mIRC to the latest version in order to run this script!
    .unload -rs $script
  }
}
